Page MenuHomePhabricator

Rewrite the rest of trivial vyatta-op commands to new syntax
Closed, ResolvedPublic

Description

Here are few more commands that can be trivially moved to vyos-1x:

  • format disk like
  • generate ssh-server-key
  • monitor bandwidth-test [initiate] | [accept]
  • set console keymap
  • set terminal misc properties
  • show history
  • show host os
  • show host date

Everything else seems to be more complex and will be tracked in separate tasks

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

alkersan changed the task status from Open to In progress.Aug 30 2019, 3:41 PM
alkersan triaged this task as Normal priority.
alkersan created this task.
alkersan created this object in space S1 VyOS Public.

Please review another portion of 'trivial' rewrites from vyatta-op. See the corresponding PRs in vyos-1x and vyatta-op.

Notes and questions:

  • monitor bandwidth-test initiate | accept rewritten as is
  • generate ssh-server-key was rewritten in simple python script
  • show history rewritten as is
  • show host os rewritten as is
  • show host date rewritten as is
  • set terminal <misc opt> rewritten as is
  • format disk like rewritten into python and merged with show disk definitions
  • set <tag> was moved to set builtin <tag>, as top-level tagNodes aren't allowed

How this was tested:

  • A QEMU VM image was built from the rolling vyos-1.2-rolling-201908301331-amd64.iso
  • each rewritten command was executed manually after vyos-1x and vyatta-op deb packages re-install
alkersan closed this task as Resolved.Sep 2 2019, 9:26 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:06 PM